"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libwidg' }"

LibraryDefinition subclass:#stx_libwidg
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libwidg class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libwidg.
    This library contains elementary gui components (widgets).
"
! !

!stx_libwidg class methodsFor:'description'!

excludedFromPreRequisites
    ^ #(
	#'stx:goodies/soap'    "SOAP::SoapImplError - referenced by EditTextView>>googleSpellingSuggestion "
	#'stx:goodies/soap/examples'    "SOAP::BabelFishClient - referenced by EditTextView>>babelFishTranslate: "
	#'stx:libcomp'    "Parser - referenced by EditTextView>>executeKeyboardMacro: "
	#'stx:libhtml'    "HTMLDocumentView - referenced by DialogBox>>addHelpButtonFor: "
	#'stx:libtool'    "SystemBrowser - referenced by Workspace>>browseImplementorsOfIt "
	#'stx:libwidg2'    "FilenameEditField - referenced by DialogBox>>addFilenameInputFieldOn:in:tabable: "
    )
!

extensionMethodNames
    ^ #(
    )
!

preRequisites
    ^ #(
	#'stx:libbasic'    "Object - superclass of ListView "
	#'stx:libbasic2'    "List - referenced by SelectionInList>>initialize "
	#'stx:libui'    "PopUpListSpec - referenced by PopUpList>>specClass "
	#'stx:libview'    "DeviceGraphicsContext - superclass of WarningBox "
	#'stx:libview2'    "ValueHolder - superclass of SelectionInList "
    )
! !

!stx_libwidg class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBWIDG_BASE
LIB_BASE=$(LIBWIDG_BASE)
'
!

stcOptimizationOptions
    ^ '+optinline'
! !

!stx_libwidg class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        ArrowButton
        Button
        ButtonController
        CheckLabel
        CheckToggle
        ClickMenuView
        CodeView
        DialogBox
        EditField
        EditTextView
        EnterBox
        EnterBox2
        EnterFieldGroup
        FileSaveBox
        FileSelectionBox
        FileSelectionList
        FontPanel
        FramedBox
        HVScrollableView
        HorizontalMiniScroller
        HorizontalPanelView
        HorizontalScrollBar
        HorizontalScroller
        InfoBox
        Label
        ListSelectionBox
        ListView
        (ListViewController autoload)
        MenuView
        MiniScroller
        MultiSelectionInList
        ObjectView
        OptionBox
        PanelView
        PopUpList
        PopUpListController
        PopUpMenu
        PullDownMenu
        RadioButton
        RadioButtonController
        RadioButtonGroup
        ScrollBar
        ScrollableView
        Scroller
        SelectionInList
        SelectionInListView
        SequenceView
        TextCollector
        TextView
        Toggle
        ToggleController
        VariableHorizontalPanel
        VariableHorizontalPanelController
        VariablePanel
        VariablePanelController
        VariableVerticalPanel
        VariableVerticalPanelController
        VerticalPanelView
        WarningBox
        Workspace
        YesNoBox
        #'stx_libwidg'
        MultiColumnPanelView
        GenericToolbarIconLibrary
        XPToolbarIconLibrary
        VistaToolbarIconLibrary
        MenuEvent
    )
! !

!stx_libwidg class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Elementary Widgets'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2011\nCopyright eXept Software AG 1998-2011'

    "Modified: / 01-02-2011 / 11:56:36 / cg"
! !

!stx_libwidg class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg/stx_libwidg.st,v 1.28 2011-06-29 14:42:08 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libwidg/stx_libwidg.st,v 1.28 2011-06-29 14:42:08 cg Exp $'
! !
